Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.deployment
Class ClassDescriptor

    java.lang.Object
      org.jboss.seam.deployment.FileDescriptor
          org.jboss.seam.deployment.ClassDescriptor

    public class ClassDescriptor

extends FileDescriptor

Constructor Summary
`ClassDescriptor(String name, ClassLoader classLoader, javax.servlet.ServletContext servletContext)`
`ClassDescriptor(String name, URL url, Class<?> clazz)`

Method Summary
`boolean` | `equals(Object other)`
`static String` | `filenameToClassname(String filename)` Convert a path to a class file to a class name
`Class<?>` | `getClazz()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class org.jboss.seam.deployment.FileDescriptor
`getName, getUrl`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassDescriptor

    public ClassDescriptor(String name,
                           URL url,
                           Class<?> clazz)

### ClassDescriptor

    public ClassDescriptor(String name,
                           ClassLoader classLoader,
                           javax.servlet.ServletContext servletContext)

Method Detail

### getClazz

    public Class<?> getClazz()

### toString

    public String toString()

  Overrides:
    `toString` in class `FileDescriptor`

### filenameToClassname

    public static String filenameToClassname(String filename)

  Convert a path to a class file to a class name

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `FileDescriptor`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `FileDescriptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.